Bug 1256843 - [fix available] In Start Center, if you open Templates, there is no "Close" or "X" in upper right corner of Templates dialog box.
[fix available] In Start Center, if you open Templates, there is no "Close" o...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libreoffice (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Caolan McNamara
Desktop QE
:
: 1348299 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-25 11:00 EDT by Bill Sanford
Modified: 2016-11-03 15:01 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-03 15:01:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Document Foundation 72587 None None None Never

  None (edit)
Description Bill Sanford 2015-08-25 11:00:48 EDT
Description of problem:
Start LO with "soffice" to open Start Center. Click the Templates menu item on left. Try to close with mouse button using the "X" in the upper right corner. Every other menu item has a close "X" in the upper right corner.

Version-Release number of selected component (if applicable):
RHEL-7.2-20150817.n.2
libreoffice-4.3.7.2-5.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. See Above.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Caolan McNamara 2015-09-01 06:58:25 EDT
it does this because it has the gtk DIALOG hint set. And gnome-shell doesn't decorate such things with the window manager X (e.g. the other dialogs like format->character etc)

In earlier versions it was a modeless dialog and those have no parents, and so the DIALOG hint isn't set in the no-parent case and so gnome-shell gave it an X like the toplevel application windows themselves.

But as a modeless dialog multiple ones can be opened and a bunch of things crash, e.g. tdf#72587

Right clicking the title bar gives the usual menu for closing it, so its not critical in that sense, and whacking esc closes it too.

I guess the important thing is to have an obvious means to close the window. So I suggest I add a "close" button to the dialog like every other one in libreoffice has.
Comment 2 Caolan McNamara 2015-09-01 07:20:45 EDT
dev_ack+ on the assumption that adding a Close button to the bottom of the dialog like the other similar ones is a sufficient fix
Comment 6 Caolan McNamara 2016-06-20 15:34:32 EDT
*** Bug 1348299 has been marked as a duplicate of this bug. ***
Comment 7 Bill Sanford 2016-09-06 10:29:01 EDT
Template Manager now has a close button.

Verified

RHEL-7.3-20160901.1
libreoffice-5.0.6.2-3.el7.x86_64
Comment 9 errata-xmlrpc 2016-11-03 15:01:31 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2579.html

Note You need to log in before you can comment on or make changes to this bug.